> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chartbrew.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Run a Data Request

> Run a data request



## OpenAPI

````yaml POST /team/{team_id}/datasets/{dataset_id}/dataRequests/{id}/request
openapi: 3.0.1
info:
  title: Chartbrew API reference
  description: The OpenAPI specification for Chartbrew
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.chartbrew.com
security:
  - bearerAuth: []
paths:
  /team/{team_id}/datasets/{dataset_id}/dataRequests/{id}/request:
    post:
      summary: Run a single data request
      parameters:
        - name: team_id
          in: path
          required: true
          schema:
            type: integer
        - name: dataset_id
          in: path
          required: true
          schema:
            type: integer
        - name: id
          in: path
          required: true
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                noSource:
                  type: boolean
                getCache:
                  type: boolean
                filters:
                  type: object
                  additionalProperties: true
      responses:
        '200':
          description: Data request results
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataRequestResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    DataRequestResponse:
      type: object
      properties:
        options:
          $ref: '#/components/schemas/Dataset'
        dataRequest:
          type: object
          properties:
            responseData:
              type: object
              properties:
                data:
                  type: array
                  description: Limited to first 20 items in response
                  items:
                    type: object
                    additionalProperties: true
                configuration:
                  type: object
                  additionalProperties: true
    Dataset:
      type: object
      properties:
        id:
          type: integer
        team_id:
          type: integer
        project_ids:
          type: array
          items:
            type: integer
        chart_id:
          type: integer
        connection_id:
          type: integer
        draft:
          type: boolean
          default: true
        name:
          type: string
          description: >-
            Canonical dataset name. Prefer this over legend when referring to
            the reusable dataset itself.
        query:
          type: string
        xAxis:
          type: string
          description: >-
            [Legacy compatibility] Dataset-level binding fallback. New chart
            bindings should be stored on ChartDatasetConfig.
        xAxisOperation:
          type: string
          description: >-
            [Legacy compatibility] Dataset-level binding fallback. New chart
            bindings should be stored on ChartDatasetConfig.
        yAxis:
          type: string
          description: >-
            [Legacy compatibility] Dataset-level binding fallback. New chart
            bindings should be stored on ChartDatasetConfig.
        yAxisOperation:
          type: string
          default: none
          description: >-
            [Legacy compatibility] Dataset-level binding fallback. New chart
            bindings should be stored on ChartDatasetConfig.
        dateField:
          type: string
          description: >-
            [Legacy compatibility] Dataset-level binding fallback. New chart
            bindings should be stored on ChartDatasetConfig.
        dateFormat:
          type: string
          description: >-
            [Legacy compatibility] Dataset-level binding fallback. New chart
            bindings should be stored on ChartDatasetConfig.
        legend:
          type: string
          description: >-
            [Legacy compatibility] Previous dataset name field. Prefer
            Dataset.name for reusable dataset naming.
        fieldsSchema:
          type: object
        excludedFields:
          type: array
          items:
            type: string
        configuration:
          type: object
        joinSettings:
          type: object
          properties:
            joins:
              type: array
              items:
                type: object
                properties:
                  dr_id:
                    type: integer
                    description: DataRequest ID
                  join_id:
                    type: integer
                  dr_field:
                    type: string
                  join_field:
                    type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````